editorconfig_0.12.1-1.1_amd64.deb


Advertisement

Description

editorconfig - coding style indenter for all editors - commandline tools

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name editorconfig
Package version 0.12.1
Package release 1.1
Package architecture amd64
Package type deb
Installed size 49 B
Download size 16.88 KB
Official Mirror archive.ubuntu.com
This package helps developers define and maintain consistent coding
styles between different editors and IDEs. The EditorConfig project
consists of a file format for defining coding styles and a collection
of text editor plugins that enable editors to read the file format
and adhere to defined styles.
EditorConfig files are easily readable and they work nicely
with version control systems.
This package provides editorconfig command which can be used to
reformat and indent code files using editorconfig configuration file.

Alternatives

Package Version Architecture Repository
editorconfig_0.12.1-1.1_i386.deb 0.12.1 i386 Ubuntu Universe
editorconfig - - -

Requires

Name Value
libc6 >= 2.14
libpcre3 -

Download

Type URL
Binary Package editorconfig_0.12.1-1.1_amd64.deb
Source Package editorconfig-core

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install editorconfig deb package:
    # sudo apt-get install editorconfig

Files

Path
/usr/bin/editorconfig
/usr/bin/editorconfig-0.12.1
/usr/share/doc/editorconfig/CONTRIBUTORS
/usr/share/doc/editorconfig/changelog.Debian.gz
/usr/share/doc/editorconfig/copyright
/usr/share/man/man1/editorconfig-0.12.1.1.gz
/usr/share/man/man1/editorconfig.1.gz
/usr/share/man/man5/editorconfig-format.5.gz

Changelog

2018-01-20 - Aurelien Jarno <aurel32@debian.org>
editorconfig-core (0.12.1-1.1) unstable; urgency=medium
* Non-maintainer upload.
* debian/control: Drop explicit Pre-Depends on multiarch-support
(Closes: #870509).
2016-03-25 - Jonas Smedegaard <dr@jones.dk>
editorconfig-core (0.12.1-1) unstable; urgency=medium
[ upstream ]
* New release.
+ Fix avoid calling exit()
Closes: Bug#818625.
+ Bump required minimum cmake version to 2.8.7.
+ Use GNU installation dirs for OS portability.
[ Jonas Smedegaard ]
* Modernize watch file, and add usage hint comment.
* Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
instead.
* Declare compliance with Debian Policy 3.9.7.
* Modernize Vcs-Git field: Use https protocol.
* Update copyright info:
+ Extend coverage for main upstream author.
+ Extend copyright of packaging to cover current year.
+ Use License-Grant and License-Reference fields.
Thanks to Ben Finney.
* Add lintian override regarding license in License-Reference field.
See bug#786450.
* Build-depend unversioned on debhelper: Needed version satisfied even
in oldstable.
* Add lintian override regarding debhelper 9.
* Update/unfuzz patches.
* Install development man pages, and adjust section for file format
man page.
2015-05-02 - Jonas Smedegaard <dr@jones.dk>
editorconfig-core (0.12.0-2) unstable; urgency=medium
* Fix have -doc package symlink externally packaged jquery.
Build-depend (not only depend) on libjs-jquery.
* Update copyright info: Extend coverage for myself.
* Resolve major version from upstream code (not changelog version.
* Modernize git-buildpackage config: Drop "git-" prefix.
* Avoid compressing documentation.
2015-03-12 - Jonas Smedegaard <dr@jones.dk>
editorconfig-core (0.12.0-1) experimental; urgency=medium
[ upstream ]
* New release.
Closes: bug#767189, Thanks to Hong Xu.
[ Vasudev Kamath ]
* Update source URL in copyright and watch file to reflect upstream
renaming of project to editorconfig-core-c.
* Update copyright file:
+ Add Files sections for newly added files.
+ Drop Files section for no longer shipped ec_fnmatch.* files, and
drop now unused BSD-3-clause License section.
* Build-depend on libpcre3-dev.
* Declare compliance with Standards-Version 3.9.6.
* Add patch 1002 to make package build reproducible.
[ Jonas Smedegaard ]
* Modernize CDBS use:
+ Stop explicitly pass LDFLAGS: Done implicitly since cdbs 0.4.122.
+ Stop suppress optional build dependencies: available even in
oldstable.
* Update Vcs-Browser field to use canonical https protocol.
* Stop track upstream tarball checksum.
* Simplify watch file.
* Fix tighten build-dependency on d-shlibs: Needed for --multiarch and
--exclude-la options.
* Unfuzz and reorder patches.
2014-08-14 - Vasudev Kamath <kamathvasudev@gmail.com>
editorconfig-core (0.11.5-2) unstable; urgency=medium
* Bump Standards-Version to 3.9.5, no change to package source.
* Replace gitweb url with cgit URL in Vcs-Browser field.
* Mark -dbg package as Multi-Arch same
* Bump compat to 9 to fix Multi-Arch -dbg package generation
2013-06-10 - Vasudev Kamath <kamathvasudev@gmail.com>
editorconfig-core (0.11.5-1) unstable; urgency=low
[ Jonas Smedegaard ]
* Fix a typo in short description.
* Add README.source emphasizing control.in file as *not* a
show-stopper for contributions, referring to
CDBS+git-buildpackage wiki page for details.
[ Vasudev Kamath ]
* Imported Upstream version 0.11.5
* Moved doxygen into build-depends from build-depends-indep as it is
generating man pages needed by the package.
Closes: bug#705682
* Use DEB_UPSTREAM_VERSION instead of hard coding upstream version in
arguments to dh_link for editorconfig package.
* Add multi-arch related quirks, including missing ${cdbs:Pre-Depends}
substitution value.

See Also

Package Description
editra_0.7.20+dfsg.1-3_all.deb simple multi-platform text editor
edtsurf_0.2009-5_amd64.deb triangulated mesh surfaces for protein structures
edubuntu-artwork_15.12.1_all.deb edubuntu themes and artwork
edubuntu-desktop_15.12.9_amd64.deb educational desktop for Ubuntu
edubuntu-docs_11.03.3_all.deb The Ubuntu Documentation Project - Edubuntu Documentation
edubuntu-fonts_15.12.9_amd64.deb Additional fonts included on a default Edubuntu system
edubuntu-live_14.04.2build1_all.deb Edubuntu live media support
edubuntu-menueditor_1.3.5-0ubuntu2_all.deb Simple ui to manage different menu profiles on a system
edubuntu-wallpapers_15.12.1_all.deb wallpapers included in edubuntu
eegdev-plugins-free_0.2-3.1_amd64.deb Biosignal acquisition device library (free plugins)
eekboek-db-postgresql_2.02.05+dfsg-2_all.deb PostgreSQL database driver for EekBoek
eekboek-gui_2.02.05+dfsg-2_all.deb Graphical User Interface for EekBoek
eekboek_2.02.05+dfsg-2_all.deb Bookkeeping software for small and medium-size businesses
efax-gtk_3.2.8-2.1_amd64.deb front end in GTK+ for the efax program
efax_0.9a-19.1_amd64.deb programs to send and receive fax messages
Advertisement
Advertisement